# wet/plugs/add.py
#
#

""" add a value. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from wet.utils import short_date
from wet.object import Object
from wet.runtime import kernel

import logging
import time
import os

## CMNDS

def add(event):
    rest = event.rest()
    try: key, value = rest.split(" ", 1)
    except ValueError: return
    o = Object()
    if key in dir(o): event.reply("%s already defined in default Object" % key) ; return
    o.prepath = "add"
    o[key] = value
    path = o.save()
    event.ok()

kernel.register("add", add)
