# wet/plugs/cfg.py
#
#

""" edit. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from wet.utils import txt_parse
from wet.runtime import kernel, cfg
from wet import defaults

# CMNDS

def cfg_cmnd(event):
    parsed = event.parsed 
    obj = cfg
    if parsed.args:
        ctype = parsed.args[0]
        obj = kernel.last("cfg", ctype)
        if not obj:
            try: obj = getattr(defaults, ctype)
            except AttributeError: pass
    try: 
        key = parsed.args[1]
        value = parsed.args[2]
        if key in obj: obj[key] = value ; obj.prepath = "cfg" ; obj.sync()
    except IndexError: pass
    if obj: event.reply("\n".join(obj.show()))

kernel.register("cfg", cfg_cmnd)
